<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\farm;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\farm\FarmLists;
use app\adminapi\logic\farm\FarmLogic;
use app\adminapi\logic\user\UserLogic;
use app\adminapi\validate\farm\FarmValidate;


/**
 * Farm控制器
 * Class FarmController
 * @package app\adminapi\controller\farm
 */
class FarmController extends BaseAdminController
{


    /**
     * @notes 获取列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/01/09 18:22
     */
    public function lists()
    {
        return $this->dataLists(new FarmLists());
    }


    /**
     * @notes 添加
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/01/09 18:22
     */
    public function add()
    {
        $params = (new FarmValidate())->post()->goCheck('add');
        $result = FarmLogic::add($params);
        if (true === $result) {
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(FarmLogic::getError());
    }


    /**
     * @notes 编辑
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/01/09 18:22
     */
    public function edit()
    {
        $params = (new FarmValidate())->post()->goCheck('edit');
        $result = FarmLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(FarmLogic::getError());
    }


    /**
     * @notes 删除
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/01/09 18:22
     */
    public function delete()
    {
        $params = (new FarmValidate())->post()->goCheck('delete');
        FarmLogic::delete($params);
        return $this->success('删除成功', [], 1, 1);
    }


    /**
     * @notes 获取详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/01/09 18:22
     */
    public function detail()
    {
        $params = (new FarmValidate())->goCheck('detail');
        $result = FarmLogic::detail($params);
        return $this->data($result);
    }

    public function datas()
    {
        $datas = (new FarmLogic())->datas(input(''));
        return $this->success('', $datas);
    }

}